### Constructor

# Cogl Program new

deprecated: 1.16

#### Declaration [src]

    CoglProgram*
    cogl_program_new (
      void
    )

#### Description [src]

Create a new cogl program object that can be used to replace parts of the GL rendering pipeline with custom code.

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Return value

Type: `CoglProgram`

A new cogl program.

The caller of the function takes ownership of the data, and is responsible for freeing it.